# pylint: disable = import-error
bl_info = {
    "name": "Rigid Body Connector Tool",
    "auhor": "Steve Cullum",
    "version": (1, 0),
    "blender":(2, 80, 0),
    "location" : "View3D",
    "description": "Add rigid body constrainst to selected objects",
    "warning": "",
    "wiki_url": "",
    "category": "Objects"
}

import bpy
from  .panel_properties import RigidBodyConnectorProps
from .panels import RigidBody_PT_ConnectorPanel
from .operators import OBJECT_OT_rigid_body_connector, OBJECT_OT_reset_constraints

def register():
    bpy.utils.register_class(RigidBodyConnectorProps)
    bpy.utils.register_class(OBJECT_OT_rigid_body_connector)
    bpy.utils.register_class(RigidBody_PT_ConnectorPanel)
    bpy.utils.register_class(OBJECT_OT_reset_constraints)

    bpy.types.Scene.RigidBodyConnectorProps = bpy.props.PointerProperty(
        type = RigidBodyConnectorProps
    )


def unregister():
    bpy.utils.unregister_class(RigidBodyConnectorProps)
    bpy.utils.unregister_class(OBJECT_OT_rigid_body_connector)
    bpy.utils.unregister_class(RigidBody_PT_ConnectorPanel)
    bpy.utils.unregister_class(OBJECT_OT_reset_constraints)
    del bpy.types.Scene.RigidBodyConnectorProps


if __name__ == "__main__":
    register()
    
    
