# pylint: disable = import-error
import bpy

class RigidBodyConnectorProps(bpy.types.PropertyGroup):
    
    MakeBreakable : bpy.props.BoolProperty (
        name = 'Make Breakable',
        description = 'Make contraints breakable',
        default = False
    )

    GlueStrength : bpy.props.FloatProperty(
        name = 'Glue Strength',
        description = 'Sets the glue strength',
        soft_min = 0,
        default = 10
    )

    ConstraintMethod : bpy.props.EnumProperty (
        name = 'Method',
        description = 'Method to set contraints by',
        items = [('PROX', 'By Proximity' , '')],
        default = 'PROX'
    )

    GlueStrengthRandom : bpy.props.BoolProperty (
        name = 'Random Glue',
        description = 'Use random glue values',
        default = False
    )

    VarMin : bpy.props.FloatProperty(
        name =  'Min Glue',
        description = 'Sets the minimum glue strength',
        default = 0,
        soft_min = 0
    )

    VarMax : bpy.props.FloatProperty(
        name = 'Max Glue',
        description = 'Sets the maximum glue strength',
        default = 10  
    )

    MaxConstraints: bpy.props.IntProperty(
        name = 'Factor',
        description = 'Chance of a contraint being made',
        default = 25,
        soft_min = 1,
        soft_max = 100
    )

    StartDeactivated: bpy.props.BoolProperty(
        name = 'Start Deactivated',
        description = 'Start rigid bodies as deactivated',
        default = False
    )