# pylint: disable = import-error
import bpy

class RigidBody_PT_ConnectorPanel(bpy.types.Panel):
    bl_idname = "RIGID_BODY_PT_ConnectorPanel"
    bl_label = "Rigid Body Connector"
    bl_category = "Rigid Body Connector"
    bl_space_type = "VIEW_3D"
    bl_region_type = "UI"


    def draw(self, context):
        try:
            rigidBodies = context.scene.rigidbody_world.collection.objects
            if(len(rigidBodies) > 1):
                layout = self.layout

                props = context.scene.RigidBodyConnectorProps

                column = layout.column()
                column2 = layout.column()
                column3 = layout.column()

                if(not props.MakeBreakable):
                    column2.enabled = False

                if(not props.GlueStrengthRandom):
                    column3.enabled = False

                column.prop(props, 'ConstraintMethod')
                column.prop(props, 'MaxConstraints')
                column.separator()
                column.prop(props, 'MakeBreakable')
                column2.prop(props, 'GlueStrength')
                layout.separator()
                column2.prop(props, 'GlueStrengthRandom')
                column3.prop(props, 'VarMin')
                column3.prop(props, 'VarMax')
                layout.separator()

                layout.operator('object.rigid_body_connector')
                layout.operator('object.reset_constraints')
        except:
            pass